PDA

Просмотр полной версии : Apple встроила в Snow Leopard уязвимый Adobe Flash



SDA
03.09.2009, 15:20
По данным фирмы Sophos, компания Apple включила в состав своей новой операционной системы Snow Leopard устаревшую, уязвимую версию Adobe Flash Player.

Выход операционной системы Snow Leopard (Mac OS X 10.6), которая поступила в продажу 28 августа, сопровождался заявлениями о возросшей производительности, кроме того, широкий резонанс получила инициатива Apple по включению в состав ОС антивирусного сканера, анализирующего загружаемые файлы на предмет наличия двух известных семейств троянов.

Однако помимо этих усовершенствований в состав системы была включена старая версия Adobe Flash Player,содержащая несколько уязвимостей. Как сообщила вчера фирма Sophos, Apple без всякого уведомления изменила версию Flash Player для Mac с 10.0.32.18 на 10.0.23.1.

Главный консультант Sophos Грехам Клули написал по этому поводу, что версия Flash в Snow Leopard была изменена без разрешения пользователей, и теперь все они уязвимы для целой россыпи потенциальных атак и эксплоитов, поскольку продукция Adobe в последнее время превратилась в популярную цель для нападающих. По данным августовской статистики Trusteer, на 80% из 2,5 миллионов просканированных машин установлены уязвимые версии Flash.

Клули советует – если ты не уверен в том, какую именно версию Adobe Flash используешь, зайди на эту страницу, где будет указано не только то, какой вариант у тебя уже стоит, но и то, какая версия должна быть установлена.

Добавим лишь, что в Apple пока никак не прокомментировали сообщение Sophos.

http://www.sophos.com/blogs/gc/g/2009/09/02/apple-ships-vulnerable-version-flash-snow-leopard/

P.S. Очередная страшилка :)
Давайте разберемся.
Эксплойт это фрагмент программного кода или последовательность команд, использующие уязвимости в программном обеспечении и применяемые для проведения атаки на вычислительную систему. Целью атаки может быть как захват контроля над системой (повышение привилегий), так и нарушение её функционирования (DoS-атака).
Т.е. другими словами хакер пользуясь эксплойтом который реализует уязвимость Adobe Flash Player должен внедрить (проинсталировать) вредоносное приложение (руткит,троян,бекдор) для захвата контроля над системой. Обычный экзешное приложение в Mac OS X не проинсталируется. Значит надо писать вредоса под Mac, что довольно проблематично, учитывая сколько сейчас действует вредоносов.
Однако, обновлять Adobe Flash Player нужно, на всякий случай, вдруг на голову свалиться кирпич, т.е. вредонос :)